// JavaDatagramClient.java

import java.net.*;
import java.io.*;

public class JavaDatagramClient {

	public static void main(String[] args)
		throws SocketException
	{
		InetAddress host = null;
		int server_port = 12000, client_port = 12001; 
		String sendString = "Hello World!";
		byte[] data = sendString.getBytes();
		DatagramSocket socket = null;
		try
		{
			host = InetAddress.getByName("localhost");
			socket = new DatagramSocket(client_port, host);
		}
		catch (UnknownHostException uhe)
			{ System.out.println(uhe); }
		while (true)
			{
			try
			{
				DatagramPacket sendPacket = new DatagramPacket(data, data.length, host, server_port);
				socket.send(sendPacket);
				System.out.println("Sent: '"+sendString+"' to ('"+host.getHostName()+"', "+server_port+")");
				Thread.sleep(1000);
			}
			catch (IOException ioe)
				{ System.out.println(ioe); }
			catch (InterruptedException ie)
				{ System.out.println(ie); }
			}
	}
}

////////////////////////////////////////////////

